This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1471671 - Spec file tries to remove directories that don't exist
Spec file tries to remove directories that don't exist
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: minetest (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Aleksandra Fedorova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 04:29 EDT by Rastus Vernon
Modified: 2017-07-20 11:53 EDT (History)
4 users (show)

See Also:
Fixed In Version: minetest-0.4.16-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-20 11:53:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rastus Vernon 2017-07-17 04:29:42 EDT
The spec file tries to remove the src/json and src/lua paths[1], but the bundled libraries were moved to lib/jsoncpp and lib/lua and another library was added at lib/gmp. LuaJIT, JsonCpp and GMP are provided by system packages, so the directories can be removed.

[1]: https://src.fedoraproject.org/cgit/rpms/minetest.git/tree/minetest.spec?id=6d63094d5415209b5f05355f43d12f6fc9805bc8#n73
Comment 1 Fedora Update System 2017-07-17 05:49:07 EDT
minetest-0.4.16-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4049c680bb
Comment 2 Fedora Update System 2017-07-17 20:24:08 EDT
minetest-0.4.16-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4049c680bb
Comment 3 Fedora Update System 2017-07-20 11:53:48 EDT
minetest-0.4.16-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.